Skip to main content
GET
/
bbo-candles
/
current
cURL
curl --request GET \
  --url https://gateway.architect.exchange/api/bbo-candles/current \
  --header 'Authorization: Bearer <token>'
{
  "candle": {
    "symbol": "<string>",
    "ts": "2023-11-07T05:31:56Z",
    "ask_close": "<string>",
    "ask_high": "<string>",
    "ask_low": "<string>",
    "ask_open": "<string>",
    "bid_close": "<string>",
    "bid_high": "<string>",
    "bid_low": "<string>",
    "bid_open": "<string>",
    "mid_close": "<string>",
    "mid_high": "<string>",
    "mid_low": "<string>",
    "mid_open": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.architect.exchange/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

User session token

Query Parameters

symbol
string
required

Instrument symbol (e.g. "XAU-PERP")

candle_width
string
required

Candle width (e.g. "1s", "1m", "1h", "1d")

Response

200 - application/json

Current BBO candle

candle
object
required